// Fill out your copyright notice in the Description page of Project Settings.


#include "HYSaveGameActor.h"
#include "HYPlayerCharacController.h"

AHYSaveGameActor::AHYSaveGameActor()
{
	SavepointMesh = CreateDefaultSubobject<UStaticMeshComponent>("SavepointMesh");
	RootComponent = Cast<USceneComponent>(SavepointMesh);

	Super::Name = NSLOCTEXT("HYSaveGameActor", "InteractionName", "Haetae statue");
	Super::Action = NSLOCTEXT("HYSaveGameActor", "InteractionAction", "touch");
}

void AHYSaveGameActor::Interact_Implementation(APlayerController* Controller)
{
	Super::Interact_Implementation(Controller);

	AHYPlayerCharacController* IController = Cast<AHYPlayerCharacController>(Controller);
	IController->SaveGameplay();
}
